APT-MARK(8)

NAME
apt-mark - zeigt, setzt und hebt verschiedene Einstellungen für ein Paket auf.

ÜBERSICHT

apt-mark {-f=Dateiname | {auto | manual} Paket... | {showauto | showmanual} [Paket...] } | {-v | --version} | {-h | --help}

apt-mark {hold | unhold | install | remove | purge} Paket... | {showhold | showinstall | showremove | showpurge} [Paket...]

BESCHREIBUNG

apt-mark kann als einheitliche Oberfläche zum Setzen verschiedener Einstellungen eines Pakets benutzt werden, wie das Markieren eines Pakets als automatisch/manuell installiert oder um dpkg-Auswahlen wie »hold« (halten), »install« (installieren), »deinstall« (entfernen) oder »purge« (vollständig entfernen) zu ändern, die z.B. von apt-get dselect-upgrade oder aptitude berücksichtigt werden.

AUTOMATISCH UND MANUELL INSTALLIERTE PAKETE

Wenn Sie erbitten, dass ein Paket installiert werden soll und im Ergebnis weitere Pakete installiert werden, um die Abhängigkeiten zu erfüllen, werden diese Abhängigkeiten als automatisch installiert markiert, während das Paket, das Sie explizit installiert haben, stattdessen als manuell installiert markiert wird. Sobald kein manuell installiertes Paket mehr von einem automatisch installierten Paket abhängt. wird es als nicht mehr benötigt angesehen und z.B. apt-get oder aptitude werden vorschlagen, es zu entfernen.

auto
    auto wird benutzt, um ein Paket als automatisch installiert zu markieren, was veranlasst, dass das Paket entfernt wird, wenn keine manuell installierten Pakete von ihm abhängen.

manual
    manual wird benutzt, um ein Paket als manuell installiert zu markieren, was verhindert, dass das Paket automatisch entfernt wird, wenn kein anderes Paket von ihm abhängt.

minimize-manual
    minimize-manual wird benutzt, um (transitive) Abhängigkeiten von Metapaketen als automatisch installiert zu markieren. Dies kann zum Beispiel nach einer Installation benutzt werden, um die Anzahl manuell installierter Pakete gering zu halten oder stetig auf Systemen, die durch Systemkonfigurations-Metapakete verwaltet werden.

showauto
    showauto wird benutzt, um eine Liste automatisch installierter Pakete – mit einem Paket in jeder neuen Zeile – auszugeben. Wenn kein Paket angegeben ist, werden alle automatisch installierten Pakete aufgelistet. Falls Pakete angegeben sind, werden nur diejenigen angezeigt, die automatisch installiert wurden.

showmanual
    showmanual kann auf die gleiche Weise wie showauto benutzt werden, mit der Änderung, dass es stattdessen eine Liste manuell installierter Pakete ausgibt.

  Optionen

-f=Dateiname, --file=Dateiname
    schreibt/liest Paketstatus von dem Dateinamen, der mit dem Parameter Dateiname, anstatt vom Standardort, der extended_states im von Konfigurationselement Dir::State definierten Verzeichnis, angegeben ist.

ÄNDERUNGEN FÜR EIN PAKET VERHINDERN

hold
    hold wird benutzt, um ein Paket als zurückgehalten zu markieren. Dadurch wird verhindert, dass das Paket automatisch installiert, entfernt oder ein Upgrade davon durchgeführt wird.

unhold
    unhold wird benutzt, um ein vorher gesetztes »hold« auf ein Paket aufzuheben, um alle Aktionen wieder zu erlauben.

showhold
    showhold wird benutzt, um eine Liste auf »hold« gesetzter Pakete auf die gleiche Art wie für andere Anzeigebefehle auszugeben.

PAKETE ZUM INSTALLIEREN, ENTFERNEN UND VOLLSTÄNDIGEN ENTFERNEN EINPLANEN

Einige Oberflächen wie apt-get dselect-upgrade können benutzt werden, um vorher geplante Änderungen am Installationsstatus von Paketen anzuwenden. Solche Änderungen können mit dem Befehlen install, remove (auch als deinstall bekannt) und purge geplant werden. Pakete mit einer bestimmten Auswahl können mit showinstall, showremove beziehungsweise showpurge angezeigt werden. Weitere Informationen über diese sogenannten Dpkg-Auswahlen finden Sie in dpkg(1).

OPTIONEN

-h, --help
    eine kurze Aufrufzusammenfassung zeigen

-v, --version
    die Version des Programms anzeigen

--audit
    Audit- (und Hinweis-)Meldungen anzeigen. Dies setzt die Option »quite« außer Kraft, aber nur für Hinweismeldungen, nicht für Fortschrittsmeldungen.

-c, --config-file
    Konfigurationsdatei; hiermit wird die zu verwendende Konfigurationssdatei angegeben. Das Programm wird die Vorgabe-Konfigurationsdatei und dann diese Konfigurationsdatei lesen. Falls Konfigurationseinstellungen vor der Vorgabe-Konfiguration ausgewertet werden müssen, geben Sie eine Datei in der Umgebungsvariable APT_CONFIG an. Lesen Sie apt.conf(5), um Syntax-Informationen zu erhalten.

-o, --option
    eine Konfigurationsoption setzen; hiermit wird eine beliebige Konfigurationsoption gesetzt. Die Syntax lautet -o Foo::Bar=bar. -o und --option kann mehrfach benutzt werden, um verschiedene Optionen zu setzen.

--no-color, --color
    Farben ein- oder ausschalten. Auf unterstützten Terminals sind Farben für apt(8) standardmäßig eingeschaltet und können auch mit den Umgebungsvariablen NO_COLOR oder APT_NO_COLOR ausgeschaltet werden, oder weiter mittels der Konfigurationsoption und -geltungsbereich APT::Color konfiguriert werden, siehe apt.conf(5) für Informationen hierzu.

DATEIEN

/var/lib/apt/extended_states
    Statusliste automatisch installierter Pakete Konfigurationselement: Dir::State::extended_states.

SIEHE AUCH

apt-get(8), aptitude(8), apt.conf(5)

DIAGNOSE

apt-mark gibt bei normalen Aktionen Null zurück, bei Fehlern nicht Null.

FEHLER

APT-Fehlerseite[1]. Wenn Sie einen Fehler in APT berichten möchten, lesen Sie bitte /usr/share/doc/debian/bug-reporting.txt oder den reportbug(1)-Befehl. Verfassen Sie Fehlerberichte bitte auf Englisch.

ÜBERSETZUNG

Die deutsche Übersetzung wurde 2009ff. von Chris Leick <c.leick@vollbio.de> sowie 2025 von Helge Kreutzmann <debian@helgefjell.de> in Zusammenarbeit mit dem deutschen l10n-Team von Debian <debian-l10n-german@lists.debian.org> angefertigt.

Beachten Sie, dass diese Übersetzung Teile enthalten kann, die nicht übersetzt wurden. Dies ist so, damit kein Inhalt verloren geht, wenn die Übersetzung hinter dem Originalinhalt hinterherhängt.

AUTOREN

Mike O'Connor

APT-Team

FUßNOTEN

1.  APT-Fehlerseite
    https://bugs.debian.org/src:apt